Functions
Data_Management
Peripheral Driver » LL Driver » HMAC » Functions
Collaboration diagram for Data_Management:

## Functions
__STATIC_INLINE void | ll_hmac_set_user_hash_255_224 (hmac_regs_t *HMACx, uint32_t hash)
| Set user HASH[255:224]. More...
__STATIC_INLINE void | ll_hmac_set_user_hash_223_192 (hmac_regs_t *HMACx, uint32_t hash)
| Set user HASH[223:192]. More...
__STATIC_INLINE void | ll_hmac_set_user_hash_191_160 (hmac_regs_t *HMACx, uint32_t hash)
| Set user HASH[191:160]. More...
__STATIC_INLINE void | ll_hmac_set_user_hash_159_128 (hmac_regs_t *HMACx, uint32_t hash)
| Set user HASH[159:128]. More...
__STATIC_INLINE void | ll_hmac_set_user_hash_127_96 (hmac_regs_t *HMACx, uint32_t hash)
| Set user HASH[127:96]. More...
__STATIC_INLINE void | ll_hmac_set_user_hash_95_64 (hmac_regs_t *HMACx, uint32_t hash)
| Set user HASH[95:64]. More...
__STATIC_INLINE void | ll_hmac_set_user_hash_63_32 (hmac_regs_t *HMACx, uint32_t hash)
| Set user HASH[63:32]. More...
__STATIC_INLINE void | ll_hmac_set_user_hash_31_0 (hmac_regs_t *HMACx, uint32_t hash)
| Set user HASH[31:0]. More...
__STATIC_INLINE uint32_t | ll_hmac_get_data (hmac_regs_t *HMACx)
| Get abstract from HMAC. More...
__STATIC_INLINE void | ll_hmac_set_data (hmac_regs_t *HMACx, uint32_t data)
| Send data to calculate. More...
__STATIC_INLINE void | ll_hmac_set_key0 (hmac_regs_t *HMACx, uint32_t key)
| Set HMAC key0. More...
__STATIC_INLINE void | ll_hmac_set_key1 (hmac_regs_t *HMACx, uint32_t key)
| Set HMAC key1. More...
__STATIC_INLINE void | ll_hmac_set_key2 (hmac_regs_t *HMACx, uint32_t key)
| Set HMAC key2. More...
__STATIC_INLINE void | ll_hmac_set_key3 (hmac_regs_t *HMACx, uint32_t key)
| Set HMAC key3. More...
__STATIC_INLINE void | ll_hmac_set_key4 (hmac_regs_t *HMACx, uint32_t key)
| Set HMAC key4. More...
__STATIC_INLINE void | ll_hmac_set_key5 (hmac_regs_t *HMACx, uint32_t key)
| Set HMAC key5. More...
__STATIC_INLINE void | ll_hmac_set_key6 (hmac_regs_t *HMACx, uint32_t key)
| Set HMAC key6. More...
__STATIC_INLINE void | ll_hmac_set_key7 (hmac_regs_t *HMACx, uint32_t key)
| Set HMAC key7. More...
__STATIC_INLINE void | ll_hmac_set_key_address (hmac_regs_t *HMACx, uint32_t address)
| Set HMAC key address in memory. More...
__STATIC_INLINE uint32_t | ll_hmac_get_key_address (hmac_regs_t *HMACx)
| Get HMAC key address in memory. More...
__STATIC_INLINE void | ll_hmac_set_key_port_mask (hmac_regs_t *HMACx, uint32_t mask)
| Set HMAC fetch key port mask. More...

## Detailed Description

## Function Documentation

## ◆ ll_hmac_get_data()

__STATIC_INLINE uint32_t ll_hmac_get_data | ( | hmac_regs_t * | HMACx | ) |

Get abstract from HMAC.

Register | BitsName
--- | ---
DATA_OUT | DATA

Parameters

  HMACx | HMAC instance

Return values

  Abstract |

Definition at line 938 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_get_key_address()

__STATIC_INLINE uint32_t ll_hmac_get_key_address | ( | hmac_regs_t * | HMACx | ) |

Get HMAC key address in memory.

Register | BitsName
--- | ---
KEY_ADDR | ADDR

Parameters

  HMACx | HMAC instance

Return values

  Return | value is the address in RAM

Definition at line 1113 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_data()

__STATIC_INLINE void ll_hmac_set_data | ( | hmac_regs_t * | HMACx,
|  | uint32_t | data
| ) |  |

Send data to calculate.

Register | BitsName
--- | ---
DATA_IN | DATA

Parameters

  HMACx | HMAC instance
  data | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 954 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_key0()

__STATIC_INLINE void ll_hmac_set_key0 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | key
| ) |  |

Set HMAC key0.

Register | BitsName
--- | ---
KEY0 | KEY

Parameters

  HMACx | HMAC instance
  key | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 970 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_key1()

__STATIC_INLINE void ll_hmac_set_key1 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | key
| ) |  |

Set HMAC key1.

Register | BitsName
--- | ---
KEY1 | KEY

Parameters

  HMACx | HMAC instance
  key | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 986 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_key2()

__STATIC_INLINE void ll_hmac_set_key2 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | key
| ) |  |

Set HMAC key2.

Register | BitsName
--- | ---
KEY2 | KEY

Parameters

  HMACx | HMAC instance
  key | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1002 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_key3()

__STATIC_INLINE void ll_hmac_set_key3 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | key
| ) |  |

Set HMAC key3.

Register | BitsName
--- | ---
KEY3 | KEY

Parameters

  HMACx | HMAC instance
  key | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1018 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_key4()

__STATIC_INLINE void ll_hmac_set_key4 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | key
| ) |  |

Set HMAC key4.

Register | BitsName
--- | ---
KEY4 | KEY

Parameters

  HMACx | HMAC instance
  key | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1034 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_key5()

__STATIC_INLINE void ll_hmac_set_key5 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | key
| ) |  |

Set HMAC key5.

Register | BitsName
--- | ---
KEY5 | KEY

Parameters

  HMACx | HMAC instance
  key | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1050 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_key6()

__STATIC_INLINE void ll_hmac_set_key6 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | key
| ) |  |

Set HMAC key6.

Register | BitsName
--- | ---
KEY6 | KEY

Parameters

  HMACx | HMAC instance
  key | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1066 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_key7()

__STATIC_INLINE void ll_hmac_set_key7 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | key
| ) |  |

Set HMAC key7.

Register | BitsName
--- | ---
KEY7 | KEY

Parameters

  HMACx | HMAC instance
  key | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1082 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_key_address()

__STATIC_INLINE void ll_hmac_set_key_address | ( | hmac_regs_t * | HMACx,
|  | uint32_t | address
| ) |  |

Set HMAC key address in memory.

Register | BitsName
--- | ---
KEY_ADDR | ADDR

Parameters

  HMACx | HMAC instance
  address | This parameter can be one of the address in RAM

Return values

  None |

Definition at line 1098 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_key_port_mask()

__STATIC_INLINE void ll_hmac_set_key_port_mask | ( | hmac_regs_t * | HMACx,
|  | uint32_t | mask
| ) |  |

Set HMAC fetch key port mask.

Register | BitsName
--- | ---
KEYPORT_MASK | MASK

Parameters

  HMACx | HMAC instance
  mask | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 1129 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_user_hash_127_96()

__STATIC_INLINE void ll_hmac_set_user_hash_127_96 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | hash
| ) |  |

Set user HASH[127:96].

Register | BitsName
--- | ---
USER_HASH_4 | USER_HASH

Parameters

  HMACx | HMAC instance
  hash | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 875 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_user_hash_159_128()

__STATIC_INLINE void ll_hmac_set_user_hash_159_128 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | hash
| ) |  |

Set user HASH[159:128].

Register | BitsName
--- | ---
USER_HASH_3 | USER_HASH

Parameters

  HMACx | HMAC instance
  hash | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 859 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_user_hash_191_160()

__STATIC_INLINE void ll_hmac_set_user_hash_191_160 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | hash
| ) |  |

Set user HASH[191:160].

Register | BitsName
--- | ---
USER_HASH_2 | USER_HASH

Parameters

  HMACx | HMAC instance
  hash | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 843 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_user_hash_223_192()

__STATIC_INLINE void ll_hmac_set_user_hash_223_192 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | hash
| ) |  |

Set user HASH[223:192].

Register | BitsName
--- | ---
USER_HASH_1 | USER_HASH

Parameters

  HMACx | HMAC instance
  hash | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 827 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_user_hash_255_224()

__STATIC_INLINE void ll_hmac_set_user_hash_255_224 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | hash
| ) |  |

Set user HASH[255:224].

Register | BitsName
--- | ---
USER_HASH_0 | USER_HASH

Parameters

  HMACx | HMAC instance
  hash | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 811 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_user_hash_31_0()

__STATIC_INLINE void ll_hmac_set_user_hash_31_0 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | hash
| ) |  |

Set user HASH[31:0].

Register | BitsName
--- | ---
USER_HASH_7 | USER_HASH

Parameters

  HMACx | HMAC instance
  hash | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 923 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_user_hash_63_32()

__STATIC_INLINE void ll_hmac_set_user_hash_63_32 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | hash
| ) |  |

Set user HASH[63:32].

Register | BitsName
--- | ---
USER_HASH_6 | USER_HASH

Parameters

  HMACx | HMAC instance
  hash | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 907 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_set_user_hash_95_64()

__STATIC_INLINE void ll_hmac_set_user_hash_95_64 | ( | hmac_regs_t * | HMACx,
|  | uint32_t | hash
| ) |  |

Set user HASH[95:64].

Register | BitsName
--- | ---
USER_HASH_5 | USER_HASH

Parameters

  HMACx | HMAC instance
  hash | This parameter can be one of the following values: 0 ~ 0xFFFFFFFF

Return values

  None |

Definition at line 891 of file gr55xx_ll_hmac.h.